Bug 43051 - Apache crash on startup (core dump)
Summary: Apache crash on startup (core dump)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-31 12:26 UTC by Alan Cox
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-31 12:34:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2001-05-31 12:26:55 UTC
Description of Problem:

Run httpd - it core dumps

How Reproducible:
100% on this box. It has not got networking fully configured. Works fine
on other boxes

aded symbols for /etc/httpd/modules/mod_headers.so
Reading symbols from /etc/httpd/modules/mod_setenvif.so...done.
Loaded symbols for /etc/httpd/modules/mod_setenvif.so
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /lib/libnss_nisplus.so.2...done.
Loaded symbols for /lib/libnss_nisplus.so.2
Reading symbols from /lib/libnsl.so.1...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libnss_dns.so.2...done.
Loaded symbols for /lib/libnss_dns.so.2
---Type <return> to continue, or q <return> to quit---
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
#0  0x0806b22f in ap_get_local_host () at eval.c:41
41	eval.c: No such file or directory.
	in eval.c

Steps to Reproduce:
1. Dont set up network data
2.  Run apache

Comment 1 Alan Cox 2001-05-31 12:34:54 UTC
Strace of the crashing case
munmap(0x4037d000, 33946)               = 0
socket(PF_INET, SOCK_DGRAM, IPPROTO_IP) = 4
connect(4, {sin_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("194.168.151.65")}}, 28) = 0
send(4, "\317\371\1\0\0\1\0\0\0\0\0\0\5tvset\4ukuu\3org\2uk\0\0"..., 35, 0) =
35gettimeofday({982067385, 219212}, NULL) = 0
poll([{fd=4, events=POLLIN, revents=POLLIN}], 1, 5000) = 1
recvfrom(4, "\317\371\205\203\0\1\0\0\0\1\0\0\5tvset\4ukuu\3org\2uk"..., 1024,
0, {sin_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("194.168.151.65")}}, [16]) = 89
close(4)                                = 0
socket(PF_INET, SOCK_DGRAM, IPPROTO_IP) = 4
connect(4, {sin_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("194.168.151.65")}}, 28) = 0
send(4, "\317\372\1\0\0\1\0\0\0\0\0\0\5tvset\0\0\1\0\1", 23, 0) = 23
gettimeofday({982067385, 239766}, NULL) = 0
poll([{fd=4, events=POLLIN, revents=POLLIN}], 1, 5000) = 1
recvfrom(4, "\317\372\201\203\0\1\0\0\0\1\0\0\5tvset\0\0\1\0\1\0\0\6"..., 1024,
0, {sin_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("194.168.151.65")}} 16]) = 99
close(4)                                = 0
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++

NETWORKING=yes
HOSTNAME=tvset
GATEWAY=194.168.151.3
GATEWAYDEV=

[root@tvset /root]# cat /etc/resolv.conf 
nameserver 194.168.151.65
search ukuu.org.uk

More Info:

Default apache config shipped in 7.1 - core dump
Add ServerName localhost - it runs







Comment 2 Joe Orton 2001-11-23 14:48:38 UTC
This was a bug in Apache 1.3.19, fixed in 7.2 with the 1.3.20 package.



Note You need to log in before you can comment on or make changes to this bug.